%define     commit_long     4b6ee024d9220c48578fe4a7bde3428a39fd343d
%define     commit_short    4b6ee02

Name:           rootfs-resize
Version:        2.0
Release:        7%{?dist}
Summary:        Root partition re-sizing service (typically for SD cards)

License:        GPLv2+
URL:            http://zenit.senecac.on.ca/wiki/index.php/Fedora_ARM_Secondary_Architecture/rootfs-resize
Source0:        http://github.com/ctyler/rootfs-resize/tarball/%{commit_long}

# Note: This package is intended for use on ARM development boards,
# but may be useful on other systems that run from SD cards.
#
# It is noarch because it does not contain binary code. It
# appears that ExclusiveArch cannot be used with BuildArch.
BuildArch:      noarch

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildRequires: systemd

Requires:       python pyparted python-psutil e2fsprogs systemd util-linux

%description
rootfs-resize is a root partition and file system re-sizing service 
typically used on systems running from SD cards.

%prep
%setup -q -n ctyler-rootfs-resize-%{commit_short}

%build
echo "Nothing to do for build"

%install
mkdir -p %{buildroot}/%{_unitdir}
cp -p %{name}.service %{buildroot}/%{_unitdir}
mkdir -p %{buildroot}/%{_sbindir}
cp -p %{name} %{buildroot}/%{_sbindir}

%files
%doc COPYING README.md
%ghost %attr(0644,root,root) /.rootfs-repartition
%ghost %attr(0644,root,root) /.rootfs-resize
%ghost %attr(0644,root,root) /.nofsresize
%ghost %attr(0644,root,root) /.swapsize
%attr(0644,root,root) %{_unitdir}/*
%attr(0755,root,root) %{_sbindir}/*

%post
%systemd_post rootfs-resize.service

%preun
%systemd_preun rootfs-resize.service

%postun
%systemd_postun_with_restart apache-httpd.service 


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 18 2013 Chris Tyler <chris@tylers.info> - 2.0-4
- Removed fedora conditionals

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 14 2013 Chris Tyler <chris@tylers.info> - 2.0-1
- Updated to python version of the script
- Using github as the software source
- Added new RPM macros

* Wed Oct 24 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.9-2
- Add patch to fix issue when there's not 2 partitions. RHBZ 837111

* Tue Oct 2 2012 Chris Tyler <chris@tylers.info> - 0.9-1
- merged raspberrypi-rootfs-resize and rootfs-resize
- various bugfixes

* Mon Jul 17 2012 Chris Tyler <chris@tylers.info> - 0.4-1
- allow more than 2 partitions
- verify that partition being resized is last partition
- experimental features for swap file creation

* Thu Jun 14 2012 Dennis Gilmore <dennis@ausil.us> - 0.3-3
- add patch from bconoboy to fix some issues at runtime

* Tue Jun 12 2012 Chris Tyler <chris@tylers.info> - 0.3-2
- Script header version number fixup

* Tue Jun 12 2012 Chris Tyler <ctyler@fedoraproject.org> - 0.3-1
- GPL header

* Tue Jun 12 2012 Chris Tyler <ctyler@fedoraproject.org> - 0.2-1
- Fixups for review (script headers, specfile)

* Thu Jun 08 2012 Chris Tyler <ctyler@fedoraproject.org> - 0.1-1
- Initial packaging

